Убрать переносы строк

Вставьте текст, порванный переносами, — инструмент склеит строки обратно в абзацы. Пустая строка останется границей абзаца, а слово с дефисом на конце строки срастётся.

0 строк
0 строк

Что сделать с переносами

Что происходит с текстом

Шесть типичных случаев из текста, скопированного из PDF, письма или таблицы.

БылоСталоЧто сработало
Компания выпустила
новый продукт.
Компания выпустила новый продукт.склейка строк внутри абзаца
пере-
нос слова
перенос словасклейка по дефису на конце строки
интернет-
магазин
интернет-магазиндефис сохраняется, склейка без пробела
Первый абзац.

Второй абзац.
Первый абзац.

Второй абзац.
пустая строка осталась границей
Строка   с пробеламиСтрока с пробеламисхлопывание двойных пробелов
москва
казань
сочи
москва, казань, сочирежим «в одну строку» со своим разделителем

Как убрать переносы в Word и Excel

Ту же задачу закрывают встроенные средства, но абзацы там приходится беречь вручную.

Word: замена по спецсимволам

Откройте замену по Ctrl+H и нажмите «Больше» → «Специальный», чтобы вставлять символы кодами. Знак абзаца — ^p, разрыв строки внутри абзаца — ^l. Замена всех ^p на пробел склеит документ целиком, поэтому абзацы спасают в три прохода.

1) ^p^p → @@ 2) ^p → пробел 3) @@ → ^p^p

Сначала двойной перенос прячется под редкий маркер, затем одиночные переносы превращаются в пробелы, и в конце маркер возвращается абзацем. Если текст пришёл из письма, сначала стоит заменить ^l: почтовые клиенты рвут строки именно разрывом, знак абзаца там встречается реже.

Excel: перенос внутри ячейки

В таблице перенос живёт внутри ячейки как символ с кодом 10. Формула убирает его без макросов:

=ПОДСТАВИТЬ(A1; СИМВОЛ(10); " ")

Функция ПЕЧСИМВ удаляет все непечатаемые символы разом, включая тот же перенос: =ПЕЧСИМВ(A1). Обратная задача — вернуть перенос в ячейку — решается формулой =A1&СИМВОЛ(10)&B1 при включённом переносе текста в формате ячейки.

Что здесь удобнее

ЗадачаВ Word или ExcelЗдесь
Сохранить абзацытри прохода замены с маркеромрежим «склеить абзацами»
Слова, разорванные дефисомотдельная замена «-^p» и риск задеть составные словагалочка со проверкой строчной буквы
Мягкие переносы из вёрсткипоиск по коду ^~ или ^u8203галочка «убрать мягкие переносы»
Собрать строки через запятуюзамена ^p на «, » вручнуюполе «чем соединять»

Как инструмент отличает абзац от разорванной строки

Текст из PDF, письма или чата приходит порванным: каждая строка заканчивается переносом там, где кончалась строка на экране источника, и в Word такой текст выглядит лесенкой. Инструмент склеивает строки внутри абзаца через пробел и считает границей абзаца пустую строку: два переноса подряд остаются абзацем, одиночный превращается в пробел. Слова, разорванные дефисом на переносе, срастаются обратно, а двойные пробелы на месте склейки схлопываются.

Режим «всё в одну строку» нужен для другого: адрес, заголовок или ключевую фразу нужно вставить в поле формы, куда переносы попадать не должны. Есть и обратная сторона, когда переносы нужно убрать только лишние, оставив по одному: это делает удаление пустых строк в режиме «одна между абзацами». В Excel переносы внутри ячейки это символ с кодом 10, и убираются они формулой ПОДСТАВИТЬ с ним, в Word заменой «^p» на пробел.

Машинописный документ с ровными строками
Машинописная страница: каждая строка обрывалась возвратом каретки, и при перепечатке текст приходилось собирать заново. Фото: Викисклад, общественное достояние.
Что на входеЧто делает инструментРезультат
одиночный перенос внутри абзацазаменяет пробеломабзац одной строкой
пустая строка между абзацамиоставляетабзацы разделены
слово, разорванное дефисом на переносесрастает«пере- нос» → «перенос»
два пробела на стыке строксхлопываетодин пробел
режим «всё в одну строку»убирает все переносытекст одной строкой

История: от телетайпа до RFC 3676

Жёсткий перенос в конце каждой строки достался нам от телетайпов и первых терминалов, где строка была физической: 72 или 80 знаков, потом возврат каретки. Стандарт электронной почты 1982 года, RFC 822, унаследовал это ограничение, и в действующем RFC 5322 строка письма по-прежнему ограничена 998 знаками, рекомендуемая длина 78. Почтовые программы до сих пор рвут абзацы на строки при отправке, и получатель видит лесенку, если его клиент не умеет склеивать их обратно.

Попытка договориться была: в 1999 году RFC 2646 ввёл формат flowed, где мягкий перенос помечается пробелом в конце строки, а в 2004 году RFC 3676 его уточнил. Часть клиентов правило соблюдает, часть нет, поэтому переносы в письмах остаются лотереей. PDF добавил свою беду: формат хранит строки как отдельные объекты с координатами, и при копировании текста программа не знает, где кончается абзац, а где просто строка.

Текстовые процессоры различают два знака: конец абзаца, в Word это «^p», и разрыв строки внутри абзаца, «^l», который ставится сочетанием Shift+Enter. Текст с сайтов часто приходит именно с разрывами строк, и замена «^p» его не чинит. Инструмент выше обрабатывает оба вида одинаково, потому что в буфере обмена они превращаются в один и тот же символ перевода строки.

Телетайп с бумажной лентой
Телетайп: строка была физической, и перенос ставился на каждой, отсюда лесенка в старых письмах. Фото: Rcc8j, CC BY-SA 4.0.
Почтовые конверты
Электронная почта унаследовала ограничение длины строки от телетайпа: 78 знаков и перенос. Фото: Викисклад, общественное достояние.
Рукопись с правками редактора
Правка рукописи: знак переноса на конце строки редактор снимает, инструмент делает то же автоматически. Фото: Phoebe, CC BY-SA 3.0.

Как склеить текст здесь, в Word и в Excel

Вставьте текст в поле: результат появится сразу. Для статьи из PDF или письма оставьте режим по умолчанию, он собирает абзацы и сохраняет пустые строки между ними. Для адреса, заголовка или ключевой фразы включите «всё в одну строку». Проверьте слова с дефисом: «пере-нос» срастётся, а «интернет-магазин» на стыке строк нужно оставить, и галочка дефисов это решает. Результат копируется кнопкой или скачивается файлом.

В Word откройте замену Ctrl+H, в поле «Найти» введите ^p, в поле «Заменить на» пробел; если текст пришёл с сайта, вместо ^p ищите ^l. Сначала защитите настоящие абзацы, заменив ^p^p на редкую метку вроде ###, после склейки верните её обратно. В Excel переносы в ячейке убирает формула ПОДСТАВИТЬ с СИМВОЛ(10), а окно замены принимает перенос через Ctrl+J в поле «Найти». Дальше текст удобно проверить счётчиком слов.

Граница абзацапустая строка
Одиночный переноспробел
Дефис на переносесрастается по галочке
Режим «в одну строку»все переносы убраны
Word: абзац^p
Word: разрыв строки^l, Shift+Enter
Excel: перенос в ячейкеСИМВОЛ(10), Ctrl+J
Длина строки письмадо 998 знаков, RFC 5322

Как пользоваться

  1. Скопированный из PDF, письма или Word — тот, где строки обрываются посреди предложения.
  2. «Абзацами» склеивает строки внутри абзаца и оставляет пустые строки как границы. «В одну строку» убирает все переносы разом.
  3. Склейка слов по дефису, чистка мягких переносов и двойных пробелов, свой разделитель вместо пробела.
  4. Кнопкой «Копировать» или файлом .txt. Счётчики показывают, сколько строк было и стало.

Частые вопросы

Как убрать переносы строк, не потеряв абзацы

Оставьте режим «абзацами»: строки внутри абзаца склеиваются пробелом, а пустая строка между абзацами сохраняется как граница. Так текст из PDF остаётся документом со структурой, вместо одного сплошного куска.

Что делать со словами, разорванными дефисом

Включите «склеивать слова по дефису». Если строка заканчивается на дефис, а следующая начинается со строчной буквы, инструмент считает это переносом слова и соединяет части без пробела: «пере-» и «нос» дают «перенос». Дефис в составных словах вроде «интернет-магазин» не трогается, потому что он стоит внутри строки.

Чем это отличается от «столбец в строку»

Тот инструмент собирает список из Excel в строку через запятую или другой разделитель — каждая строка там отдельный элемент. Здесь текст, наоборот, чинится: переносы считаются случайными, а элементами остаются абзацы.

Что такое мягкий перенос

Невидимый символ U+00AD, который редакторы вставляют для переноса слова по слогам. При копировании он остаётся в тексте и вылезает дефисом в неожиданных местах. Галочка «убрать мягкие переносы» вычищает его целиком.

Как убрать переносы в Word

Ctrl+H, в поле поиска ^p для знака абзаца или ^l для разрыва строки, в поле замены — пробел. Чтобы не слепить абзацы, сначала замените двойной ^p^p на редкий маркер, потом одиночные ^p на пробел, а в конце маркер обратно на ^p. Подробный порядок — в разделе ниже.

Текст остаётся на моём устройстве

Да, склейка идёт в браузере. Ни текст, ни результат никуда не отправляются, поэтому через инструмент можно пропускать рабочие документы.

Спросите нейросети об инструменте

Отвечает DeepSeek по данным этой страницы и тому, что у вас сейчас на экране: что делает, как устроен, ограничения

Похожие инструменты

Удалить пустые строки

Убирает пустые строки и строки из пробелов или знаков-заглушек, умеет оставить одну между абзацами, считает было и стало; под инструментом способы для Excel, Word, Google Таблиц и Notepad++.

Открыть
Счётчик символов и слов

Символы, слова, предложения, время чтения + частотность слов и повторяющихся фраз (ключей). Для копирайтинга и SEO.

Открыть
Обернуть строки

Добавляет кавычки, скобки или теги вокруг каждой строки и соединяет разделителем — готовый SQL IN(...), массив, <li>.

Открыть
Проверка email списком

Синтаксис, дубли, опечатки в доменах вроде gmail.ru, одноразовые почты, ролевые адреса и кириллица в латинском написании.

Открыть
Нумерация строк

Нумерует строки списка: точкой, скобкой или пробелом, с ведущими нулями. Для оформления списков, ТЗ и нумерованных перечней.

Открыть
Разделить список

Разбить на группы по N строк или на N равных частей. Бить семантику на пакеты.

Открыть

Ещё инструменты для списков

Удаление дубликатов и сравнение двух списков, сортировка, столбец в строку и обратно, нумерация, частотность и шаблонизатор — в разделе 29 инструментов.